 /*
 * Copyright (C) 2020 MGP Systems, LLC
 *
 * All Rights reserved.
 */

#ifndef COMMON_INCLUDES_H__
#define COMMON_INCLUDES_H__

#include <Wt/WContainerWidget.h>
#include <Wt/WString.h>

enum class CurrentRole
{
	ROLE_UNKNOWN =0,
	ROLE_REGISTRATION =1,
	ROLE_IT_ADMIN,
	ROLE_OFFICE_STAFF,
	ROLE_DRIVER

};


enum class LoginState
{
	STATE_UNKNOWN =0,
	STATE_LOGGED_OUT,
	STATE_LOGGED_IN

};

enum class UserActionEvent
{
	USER_BUTTON_MANAGE_USERS=100,
	USER_BUTTON_MANAGE_VEHICLES,
	USER_BUTTON_MANAGE_DEVICES,
	USER_BUTTON_MANAGE_TRIPS,

	LAST_USER_EVENT_INDEX
};


enum class CurrentTest
{
	TEST_ID_0 =0,
	TEST_ID_1,
	TEST_ID_2,
	TEST_ID_3,
	TEST_ID_4,

	//Add new values above this line
	LAST_TEST_ID
};
 
#endif // COMMON_INCLUDES_H__

