/*
 * Copyright (C) 2020 MGP Systems, LLC
 *
 * All Rights reserved.
 */

#ifndef VIEW_PAGE_HEADER_H__
#define VIEW_PAGE_HEADER_H__
#include <Wt/WText.h>
#include <Wt/WPanel.h>

#include <CommonIncludes.h>

class PageHeaderWidget : public Wt::WContainerWidget
{
public:
  PageHeaderWidget(Wt::WString fullName, CurrentRole userRole );
  void setCurrentUser(Wt::WString fullName);
  void setCurrentMode(CurrentRole userRole);

private:
  int processSettingsUpdate();
  std::unique_ptr <Wt::WText> label2A;
  std::unique_ptr <Wt::WText> label2B;
  std::unique_ptr <Wt::WPanel> panel2A;
  std::unique_ptr <Wt::WPanel> panel2B;



};

#endif // VIEW_PAGE_HEADER_H__

